{if $instance->getProperty('blockId') != ''}
    {$uid="{$instance->getProperty('blockId')}" }
{else}
    {$uid = $instance->getUid()}
{/if}

{if $isPreview}
    [Artikelbilder Slider] {*todo Vorschaubild*}
{else}
    <div class="dzm-smarty-pis-wrapper">
        <div id="{$uid}" class="splide dzm-smarty-pis-{$instance->getProperty('paginationType')}">
            <div class="splide__track">
                <div class="splide__list">
                    {foreach $Artikel->Bilder as $image}
                        <div class="splide__slide">
                            {strip}
                                <div class="splide__slide square">
                                    {image alt=$image->cAltAttribut
                                    webp=true
                                    src="{$image->cURLMini}"
                                    srcset="{$image->cURLMini} {$Einstellungen.bilder.bilder_artikel_mini_breite}w,
                                                            {$image->cURLKlein} {$Einstellungen.bilder.bilder_artikel_klein_breite}w,
                                                            {$image->cURLNormal} {$Einstellungen.bilder.bilder_artikel_normal_breite}w,
                                                            {$image->cURLGross} {$Einstellungen.bilder.bilder_artikel_gross_breite}w"
                                    data=["list"=>"{$image->galleryJSON|escape:"html"}", "index"=>$image@index, "sizes"=>"90"]
                                    }
                                </div>
                            {/strip}
                        </div>
                    {/foreach}
                </div>
            </div>
        </div>
        {if $instance->getProperty('paginationType') == 'thumbs'}
            <div id="{$uid}-thumbs" class="splide dzm-smarty-pis-thumbs  {if $Artikel->Bilder|@count <= 1}d-none{/if}">
                <div class="splide__track">
                    <div class="splide__list">
                        {foreach $Artikel->Bilder as $image}
                            {strip}
                                <div class="splide__slide square">
                                    {image alt=$image->cAltAttribut
                                    class="product-image"
                                    fluid=true
                                    webp=true
                                    src="{$image->cURLMini}"
                                    srcset="{$image->cURLMini} {$Einstellungen.bilder.bilder_artikel_mini_breite}w,
                                                                {$image->cURLKlein} {$Einstellungen.bilder.bilder_artikel_klein_breite}w,
                                                                {$image->cURLNormal} {$Einstellungen.bilder.bilder_artikel_normal_breite}w,
                                                                {$image->cURLGross} {$Einstellungen.bilder.bilder_artikel_gross_breite}w"
                                    data=["list"=>"{$image->galleryJSON|escape:"html"}", "index"=>$image@index, "sizes"=>"90"]
                                    }
                                </div>
                            {/strip}
                        {/foreach}
                    </div>
                </div>
            </div>
        {/if}
    </div>
{/if}

<script>
    document.addEventListener( 'DOMContentLoaded', function() {
        let {$uid} = new Splide( '#{$uid}', {
            perPage: 1,
            perMove : 1,

            type   : '{$instance->getProperty('type')}',
            width   : '{$instance->getProperty('width')}',
            height   : '{$instance->getProperty('sliderheight')}',
            fixedWidth : '{$instance->getProperty('fixedWidth')}',
            fixedHeight : '{$instance->getProperty('fixedHeight')}',
            arrows: '{$instance->getProperty('arrows')}',
            pagination: {if $instance->getProperty('paginationType') == 'thumbs'} false {else} true {/if},
            speed: '{$instance->getProperty('speed')}',
            drag: '{$instance->getProperty('drag')}',
            rewind: '{$instance->getProperty('rewind')}',
            rewindSpeed: '{$instance->getProperty('rewindSpeed')}',
            rewindByDrag: '{$instance->getProperty('rewindByDrag')}',
            autoplay: '{$instance->getProperty('autoplay')}',
            interval: '{$instance->getProperty('interval')}',
            pauseOnHover:'{$instance->getProperty('pauseOnHover')}',
            pauseOnFocus:'{$instance->getProperty('pauseOnFocus')}',
        } );
        {if $instance->getProperty('paginationType') == 'thumbs'}
            var thumbnails = new Splide( '#{$uid}-thumbs', {
                rewind          : true,
                fixedWidth      : 104,
                fixedHeight     : 58,
                isNavigation    : true,
                gap             : 10,
                focus           : 'center',
                pagination      : false,
                cover           : true,
                arrows          : false,
                dragMinThreshold: {
                    mouse: 4,
                    touch: 10,
                },
                breakpoints : {
                    640: {
                        fixedWidth  : 66,
                        fixedHeight : 38,
                    },
                },
            } );
        {$uid}.sync( thumbnails );
        thumbnails.mount();
        {/if}

        {if $instance->getProperty('paginationType') == 'numbers'}
        {$uid}.on( 'pagination:mounted', function ( data ) {
                // You can add your class to the UL element
                data.list.classList.add( 'splide__pagination--custom' );

                // `items` contains all dot items
                data.items.forEach( function ( item ) {
                    item.button.textContent = String( item.page + 1 );
                } );
            } );
        {/if}
        {$uid}.mount();
        console.log('mount')
    } );
</script>

